 Windows UnArchive Help Index

Overview

Commands

Command Line Options

Shareware Information


 Windows UnArchive Overview

Windows UnArchive is a program for MS-Windows which extracts and decompresses files from an archive.  An archive is a file which contains one or more member files and (usually) takes up less disk space than the member files would individually.  Thus, archives provide a way to save disk space and group files together, especially when storing files not in use, or transferring files from one computer to another.

Windows UnArchive supports two popular archive formats, the ZIP format and the ARJ format.

To use Windows UnArchive you must have MS-Windows 3.0 or greater and you must run Windows in Standard or Enhanced Mode.  Windows UnArchive will not run in Real Mode.

To try Windows UnArchive, place the files WUNA.EXE and WUNA.HLP together in either your windows directory, or some other directory in your search path.  Put the file BWCC.DLL in the system subdirectory of your windows directory.  (You may already have this file from other programs.  If so, you only need one copy.  Keep the copy with the latest date.) You can then run WUNA.EXE from Program Manager, File Manager, or any other shell.  If you don't know how to use File Manager, or setup a program in Program Manager, please refer to your Windows manual.

Windows UnArchive works  either in interactive mode or from the command line.  Extensive command line options for a Windows program may seem strange, but these provide a very convenient way to unarchive files using File Manager or other shells.


Shareware Information

Windows UnArchive is not free.  It is a commercial Shareware product. You are permitted to evaluate this product for 15 days.   After that time you must register or discontinue using the program. The basic cost to register Windows UnArchive is $10.  See ORDRFRM.WRI for details. CompuServe users should read SWREG.WRI for the fastest, most convenient way to register.

Whether or not you choose to register, I'd enjoy hearing your comments on my program.  Please send all suggestions, gripes, bug reports and anything else to any of these addresses:

James N. Hughes

1100 Fair Park Blvd.  #2

Little Rock, AR  72204

Voice:  (501)663-5901

CIS:  73777,3273

The latest version of Windows UnArchive can always be found on the WINADV forum of CIS, Channel 1 in Boston, and many other BBS's.


Cooperative Multitasking

Windows UnArchive has the ability to "grab" your CPU completely, suspending all other application while it unarchives or it can cooperate with other programs as most Windows Applications do.  Letting WUNA cooperate will slow down unarchiving, so when you want the fastest unarchiving possible, may wish to turn it off.  Cooperative Multitasking also gives you access to the Abort button in the status window.  Times when you might want Cooperative Multitasking on include when you are downloading or uploading, when you are unarchiving a very large file and wish to continue working, and when you want the capability to abort unarchiving.

Cooperative Multitasking is controlled through the Multitasking Factor.  This is an number which must be between 1 and 999.  The higher the Multitasking Factor is, the more CPU time Windows UnArchive takes up.  Thus, a Multitasking Factor of 1 would mean that unarchiving would be slow, but other programs running would be affected very little.  A Multitasking Factor of 999 is almost like having Cooperative Multitasking turned off, but you still would have the ability to abort during unarchiving.

Cooperative Multitasking can be turned off and on, and the Multitasking Factor adjusted, either on the command line through the -m switch, or interactively via the Configure dialog box.  Cooperative Multitasking can also be turned off (but not on) through a check box in the status window during unarchiving.


Interactive Commands

Open Archive

Member Files

Configure

Try Out

Help

Go!

Quit


Open Archive

When this command is entered, a dialog box is displayed asking you to choose an archive.  You can  use a mouse to choose a file via the two list boxes or type the name in the edit  box at the top of the dialog.  Currently, archives in the ZIP, ARJ, or self-extracting ZIP or ARJ formats are supported.

On the right side of the dialog box there is a list of the most common file-specs which you might want displayed in the Archives list box.  To show or stop showing a file-spec, click on the appropriate check-box, or use the Tab key to set the focus to the check-box and hit the Space Bar.  You can make the state of the check-boxes permanent by saving options in the Configure dialog box.

When you choose an archive, Windows UnArchive will open it and read information about the member files.  Also, the directory containing the archive will become the default directory for opening new archive files in the future.  This can be made permanent by saving options in the Configure dialog box.  You will then be returned to the main dialog box, where you will see information on available and needed disk space, and the current extract paths.

In most cases,  this command will eventually be followed  by a Go!, Try Out, or Run command to extract the files in the archive.

You can also save a couple of keystrokes or mouse clicks by using the Go! or Try Out buttons from this dialog box.  This has the same effect as opening an archive and then choosing the command from the main dialog box.  It has the downside of denying you the chance to see the free disk space information in the main dialog box before you start extracting files.


Member Files

This command lets you see information on the files contained in the open archive, lets you tag files to be or not be extracted, and lets you run individual files within the archive.

Files that will be extracted appear in the top list box; files that  will not be extracted appear in the bottom list box.  Initially, all files will appear in the top, or "to be extracted,"  list box.  You can choose one or more files with your mouse or keyboard and change their extraction status by using the Add or Remove button.  (To highlight more than one file at a time, hold the CTRL key down as you right-click files past the first one.)  You can also choose to Add All or Remove All as a shortcut.  For example, if an archive contains many files and you wish to extract only one, choose Remove All, then click on the file you wish to extract and choose Add.

Choosing Cancel will exit the dialog box, ignoring the changes you've made.  To exit and keep your changes, choose the OK command.

Choosing Go! has the same affect as choosing Ok, and then choosing Go! from the main dialog box.

The Run command will allow you to run a single file inside the archive without extracting the entire contents of the archive, as happens with the Try Out command.  This command gives you a way to read text files or execute stand alone programs without the need to manually delete them later.  As long as you temporarily have the disk space to extract a file, you can use the Run command to save disk space on seldom executed programs or seldom read text files, like Shareware documentation.  When you run a member file, the file is extracted to a sub-directory of the Work Directory call "wunawork".  (If it does not exist, the directory is created.)  Then the file is run using its association.  (If you are not familiar with associations, please see your Windows Manual.)  If you don't know what association a member file has, you can use the More Info command, detailed below, to find out.  The "wunawork" directory can be deleted automatically on either startup or exit of Windows UnArchive.  This configuration isset, along with the location of the work directory, in the Configure dialog box.  If only one file is highlighted in the list boxes, this file is run.  Otherwise, a menu of files to choose from is displayed.

The More Info command gives you detailed information on a highlighted member file.  The dialog box will expand and information on the topmost marked file in either list box will be displayed.  You can then repeatedly hit the More Info button to cycle through the marked files.


Configure

Choosing this command displays a dialog box which gives you the option of configuring many aspects of Windows UnArchive.

The top section of the dialog box is used to set three paths used by the program.  You choose the path currently being altered by clicking on its name, or by hitting the Tab key until the radio button next to it is selected.  Once the path you're interested in changing has been selected, you can alter it using the list box on the right or the edit box on the left.  When using the edit box you can choose existing directories, create new directories by typing in a directory which does not exist, or use the "%" variables to specify a directory which is created at extraction time.  There are three such variables, none of which are case-sensitive.  "%a" is used to insert the name of the current archive into the path.  "%n" inserts the name of the archive, but strips any numbers from the end of the archive name (to eliminate version numbers, for example).  "%d" inserts today's date, in the format MMDDYY, into the path name.  These variables can be used in combination with each other.

The three paths you can alter are the Extract Path, used with the Go! command, the Work Path, which is the parent of the "wunawork" directory used by the Run command found in the Member Files dialog box, and the Try Out Path, used with the Try Out command.  The "%" variables cannot be used with the Work Path.

In the bottom half of the dialog box, on the left, there are three buttons.  The Ok button exits the dialog box, keeping all changes you have made.  The Save Opts. button exits the dialog box, keeping and saving to WUNA.INI all changes made in this dialog, as well as the default Archive Path and the file-specs shown in the Open Archive dialog box.  The Cancel button exits the dialog box and abandons the changes made.

To the right of the buttons are the Extraction options.  Note that these are used only with the Go! command.

When Exit After Extracting is chosen, Windows UnArchive will exit immediately after a file is unarchived.

Some archives include path information about their member files.  If the Create Directories in Archive option is selected, member files will be extracted into the specified sub-directory of the destination path, and if the sub-directory does not exist, it will be created.  If this option is not selected, member file path information is ignored.

If the Overwrite Existing Files option is selected, member files being extracted have precedence over those which already exist.  The contents of any existing file with the same name as a member file being extracted will be lost.  Use with care!  If the option is not set and a member file exists, you are given a choice of whether to overwrite it, rename the new file, turn the Overwrite Existing Files option on, skip that file, or abort all extracting.

If the Quiet UnArchiving option is selected, WUNA will minimize (become an icon) whenever it unarchives as a result of the the -g switch or the Go! command.  The regular status window will not be displayed, but the icon title will give progress information.  Note that the abort button is not available when this option is used.

On the right there are three mutually exclusive radio buttons which determine when Windows UnArchive deletes files and removes the "wunawork" directory.  (This directory is used by the Run command in the Member Files dialog.)  You can have the Work Path cleaned when the program starts, exits, or not at all.

On the very bottom of the dialog box there is a check box for turning Cooperative Multitasking on or off.  To the right there are an edit box and pair of arrow buttons for changing the Multitasking Factor.  For information on what these controls do, see Cooperative Multitasking.


Help

This command invokes the Windows hypertext help system with the file WUNA.HLP, which you're now reading.


Go!

This command extracts the chosen member files from the open Archive.

If you wish to do something other than extracting all the member files in the Archive to the default destination path, you should first use the Member Files command and/or the Configure command, and then issue the Go! command.


Try Out

This command is designed with the BBS downloader in mind.  It allows you to quickly extract the files from an archive and then choose which of those files to run.   On receiving the command, Windows UnArchive extracts  all files from the archive and presents you with a dialog box containing a list box filled with files from the Try Out directory, and several buttons.  You can run any file from the directory, using its association, using the Run button or by double clicking on the file.  The Quit button will end the dialog box, leaving the extracted files in place.  You can move the files to a permanent storage area with the MoveIt button, or delete them using the KillIt button.  The KillIt button will also remove the Try Out directory if it was created with the "%" variables.


Quit

This command ends Windows UnArchive and closes any open archive.


Command Line Options

Syntax:  [path]WUNA[.EXE] [switches] [ARCHIVENAME[.EXT]] [more switches]

If ARCHIVENAME is present, the named file is immediately opened, as if chosen by the Open Archive command.  If ARCHIVENAME does not contain the full path to the archive, the named file must be in the default Archive Path or the current directory.

 Command Line Switches:

 All switches are case insensitive.

 -g (Go!)

 -t (Try Out)

 -r (Run)

 -e (Exit After Extracting, Trying Out, or Running)

 -c (Configure)

 -d (Create Dirs in Archive)

 -o (Overwrite Existing Files)

 -p (Set Destination Path)

 -m (Cooperative Multitasking)

 -s (Select Files for UnArchiving)

 -q (Quiet UnArchiving)


-t Switch

This is equivalent to the Try Out command.  If this switch is present, Windows UnArchive will extract all member files of the named archive, and will then present the Try Out dialog box.  This switch is only meaningful if an archive is named on the command-line.  (See Try Out for more information.)


-g Switch

This is similar to the Go! command.  If this switch is present, Windows UnArchive will extract all member files.  When combined with the -e switch, this makes Windows UnArchive the equivalent of a DOS command line unarchiver.  This switch is  This switch is only meaningful if an archive is named on the command-line.  (See

Hint:  You can make File Manager very helpful in unarchiving by adding the following lines to your WIN.INI file:

ZIP=WUNA.EXE -E -G   ^.ZIP

ARJ=WUNA.EXE -E -G    ^.ARJ

or by associating an archive with WUNA.EXE -E -G using the Associate command under the File menu in File Manager.  After doing this, you can unarchive a file by double-clicking the file in File Manager or by "running" the file from the menu of either File Manager or Program Manager.


-r Switch

This is similar to the Run command found in the Member Files dialog box.  If this switch is present, Windows UnArchive will extract a file to the "wunawork" sub-directory of the Work Path, and will run this file using its association.  If the archive contains more than one file, you are asked to choose which file to run.  This command is only meaningful when an archive is named on the command-line.


-e Switch
-e and -e- Switches

If the -e switch is present, the Exit After Extracting option is chosen, overriding the value in WUNA.INI if needed.

If the -g, -t, or -r, is present, Windows UnArchive exits after taking the specified action.

Similarly, if the -e- switch is present, the Exit After UnArchiving option is un-chosen.


-c Switch

If this switch is present, the Configure command is issued before any command-line extracting is performed, allowing you to set any paths or other options before the files are extracted.  The switch is only meaningful if the -g, -t, or -r, is present.


-d Switch
-d and -d- Switches

If the -d switch is present, the Create Dirs in Archive option is chosen, overriding the value in WUNA.INI if needed.

Similarly, if the -d- switch is present, the option is un-chosen.


-o Switch
-o and -o- Switches

If the -o switch is present, the Overwrite Existing Files option is chosen, overriding the value in WUNA.INI if needed.

Similarly, if the -o- switch is present, the option is un-chosen.


-p destpath  Switch

If the -p switch is present immediately followed by a valid path (no space between -p and destpath) the relevent path is set to destpath, overriding WUNA.INI if needed.

If the -t switch is present, the Try Out Path is modified.  If the -r switch is present, the Work Path is modified.  Failing these, the Extract Path is modified.


-m Switch
-m mutifactor and -m- Switches

If the -m switch is present immediately followed by an integer between 1 and 999, Cooperative Multitasking is turned on and the Multitasking factor is set to that number, overriding WUNA.INI if needed.  If the number is zero or if the -m- switch is present Cooperative Multitasking is turned off.

For information on what this all means, see Cooperative Multitasking.


-s Switch
-s fspec.ext  and -s@ flist.ext  Switches

This switch is used to select files for unarchiving.  Either fspec.ext or @flist.ext must follow the switch, with no space in between.  If the former is present, the named filespec will be selected.  The filespec may contain wildcards.  If @flist.ext is present, WUNA reads the filespecs to be selected from the file flist.ext. The filespecs should be seperated by returns.

The -s switch is meaningful only if an archive is specified on the command line.  If the -s switch is not present, all files in the archive are selected.


-q Switch
-q and -q- Switches

If the -q switch is present, the Quiet UnArchiving option is chosen, overriding the value in WUNA.INI if needed.

Similarly, if the -q- switch is present, the option is un-chosen.